define(['controllersFactory',
	'services/recordingTimerService',
	'services/playbackTimerService',
	'services/widgetReceiveEventService',
	'services/widgetSendEventService'],
	function(controllersFactory) {
	
	'use strict';

	controllersFactory.controller('PlaybackControlsWidgetCtrl', 
		['$scope', 
		'RecordingTimerService', 
		'PlaybackTimerService', 
		'WidgetReceiveEventService',
		'WidgetSendEventService',

		function($scope, 
			recordingTimerService, 
			playbackTimerService,
			widgetReceiveEventService,
			widgetSendEventService) {

		$scope.recordingTimerService = recordingTimerService.init($scope);
		$scope.playbackTimerService = playbackTimerService;
		$scope.widgetReceiveEventService = widgetReceiveEventService.init($scope);
		$scope.widgetSendEventService = widgetSendEventService;
		
		$scope.secondsElapsed = recordingTimerService.secondsElapsed;
		$scope.minutesElapsed = recordingTimerService.minutesElapsed;
		$scope.colon = recordingTimerService.colon;

		$scope.secondsRecorded = recordingTimerService.secondsRecorded;
		$scope.colonRecorded = recordingTimerService.colonRecorded;
		$scope.minutesRecorded = recordingTimerService.minutesRecorded;

		$scope.liveMinutes = playbackTimerService.liveMinutes;
		$scope.liveSeconds = playbackTimerService.liveSeconds;
		$scope.liveColon = playbackTimerService.liveColon;
		$scope.liveDivider = playbackTimerService.liveDivider;


		$scope.recording = NB.localize("Recording...");
		
		$scope.$watchGroup([
			'recordingTimerService.secondsElapsed', 
			'recordingTimerService.minutesElapsed', 
			'recordingTimerService.colon', 
			'recordingTimerService.secondsRecorded', 
			'recordingTimerService.colonRecorded', 
			'recordingTimerService.minutesRecorded', 
			'playbackTimerService.liveMinutes', 
			'playbackTimerService.liveSeconds', 
			'playbackTimerService.liveColon', 
			'playbackTimerService.liveDivider',], 

			function(newValues, oldValues, scope){
			if (newValues && newValues !== oldValues){
				scope.secondsElapsed = newValues[0];
				scope.minutesElapsed = newValues[1];
				scope.colon = newValues[2];
				scope.secondsRecorded = newValues[3];
				scope.colonRecorded = newValues[4];
				scope.minutesRecorded = newValues[5];
				scope.liveMinutes = newValues[6];
				scope.liveSeconds = newValues[7];
				scope.liveColon = newValues[8];
				scope.liveDivider =newValues[9];
			}
		});
	}]);
});
