(function() {

	'use strict';

	//Configure the libraries to be used
	require.config({
		baseUrl: 'js',
		paths: {
			'nb': 'libs/nb-2.6.0',
			'angular': 'libs/angular-min-1.3.0',
			'angularRoute': 'libs/angular-route-min-1.3.0'
		},
		shim: {
			'angular': {
				exports: 'angular'
			},
			'angularRoute': {
				deps: ['angular']
			}
		}
	});

	//Define modules
	define('controllersFactory', ['angular'], function(angular) {
		return angular.module('app.controllers', []);
	});

	define('servicesFactory', ['angular'], function(angular) {
		return angular.module('app.services', []);
	});

	define('directivesFactory', ['angular'], function(angular) {
		return angular.module('app.directives', []);
	});

	// Define 'app' module to ensure angular controllers, services and directives are initalized.
	define('app', [
		'angular',
		'angularRoute',
		'servicesFactory',
		'controllersFactory',
		'directivesFactory'
		],
		function(angular) {
			return angular.module('app', ['app.services', 'app.controllers', 'app.directives', 'ngRoute']);
		}
	);

	// Define module for 'NB'.
	define('NB', ['nb'], function() {
		return NB;
	});

	// Define module for 'jquery'. Use the one embedded within 'nb'
	define('jquery', ['nb'], function() {
		return jquery;
	});

	// Bootstrap 'angular'
	/*require(['app','NB'], function(app, NB) {*/
	require(['app', 'NB'], function(app, NB) {
		NB._fWindowLoaded = true;
		NB.ready(function(){
			require([
					'controllers/playbackControlsWidgetCtrl'
				],
				function() {
					app.config(['$routeProvider', function($routeProvider) {
						$routeProvider.
							when('/', {templateUrl: 'templates/playbackControlsWidget.html', controller: "PlaybackControlsWidgetCtrl"}).
							otherwise({redirectTo: '/'});
					}]);

					angular.bootstrap(document, ['app']);

					//Fire event back to the add-on to notify that the widget is ready
					var eventData = {};
					eventData['com.smarttech.addon.pagerecorder'] = {};
					NB.postEvent("widgetReady", eventData);
				}
			);
		});
	});

})();