//EVENTS THAT THE WIDGET FIRES TO THE ADD-ON
//When a button is clicked on the widget playback controls, an corresponding event will be fired and then received by the add-on
//where the appropriate action will then take place - Justin

define(["servicesFactory", 
	"NB"], 

	function(servicesFactory, 
		NB){

	servicesFactory.factory('WidgetSendEventService', 
		[function(){

		//No data is actually passed between the widget and the add-on
		//Add-on/widget just need to know what events have happened so that they can update their UI accordingly
		var eventData = {};
		eventData['com.smarttech.addon.pagerecorder'] = {};

		var widgetSendEventService = {

			sendRecord: function(){
				NB.postEvent("recordReceived", eventData);
			},

			sendStopRecording: function(){
				NB.postEvent("stopRecordReceived", eventData);
			},

			sendSkipToBeginning: function(){
				NB.postEvent("skipToBeginningReceived", eventData);
			},

			sendSkipToEnd: function(){
				NB.postEvent("skipToEndReceived", eventData);
			},

			sendPlay: function(){
				NB.postEvent("playReceived", eventData);
			},

			sendPause: function(){
				NB.postEvent("pauseReceived", eventData);
			},

			sendToggleLoop: function(){
				NB.postEvent("toggleLoopReceived", eventData);
			}
		};

		return widgetSendEventService;
	}]);
});